# Generated by Django 5.0.3 on 2025-02-20 10:20

import crea_app.storages
import django.db.models.deletion
import forms.utils
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('userprofile_app', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BankDetails',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('beneficiary_name', models.CharField(max_length=100)),
                ('bank_name', models.CharField(max_length=100)),
                ('account_number', models.CharField(max_length=20)),
                ('ifsc_code', models.CharField(max_length=15)),
            ],
        ),
        migrations.CreateModel(
            name='EventDetails',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_title', models.CharField(max_length=200)),
                ('event_overview', models.TextField()),
                ('event_location', models.CharField(max_length=255)),
                ('event_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('total_tickets', models.IntegerField()),
                ('event_type', models.CharField(max_length=50)),
                ('event_date', models.DateField()),
                ('event_time', models.TimeField()),
                ('event_banner', models.ImageField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.event_banner_upload_to)),
            ],
        ),
        migrations.CreateModel(
            name='Uploads',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pan_card', models.FileField(storage=crea_app.storages.UthoStorage, upload_to=forms.utils.pan_card_upload_to)),
                ('cancelled_cheque', models.FileField(storage=crea_app.storages.UthoStorage, upload_to=forms.utils.cancelled_cheque_upload_to)),
            ],
        ),
        migrations.CreateModel(
            name='Apprenticeship',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fullname', models.CharField(blank=True, max_length=255, null=True)),
                ('organisation_or_individual', models.CharField(blank=True, max_length=255, null=True)),
                ('profile_title', models.CharField(max_length=255)),
                ('email', models.EmailField(max_length=254)),
                ('job_responsibilities', models.TextField()),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('apprenticeship_type', models.CharField(choices=[('full-time', 'Full-time'), ('part-time', 'Part-time'), ('remote', 'Remote')], max_length=50)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('duration', models.CharField(max_length=255)),
                ('salary', models.DecimalField(decimal_places=2, max_digits=10)),
                ('gender', models.CharField(choices=[('Any', 'Any'), ('Male', 'Male'), ('Female', 'Female'), ('Other', 'Other')], default='Any', max_length=10)),
                ('education_required', models.CharField(blank=True, max_length=255, null=True)),
                ('skills_experience', models.JSONField(default=list)),
                ('is_active', models.BooleanField(default=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('status', models.CharField(choices=[('opening', 'Opening'), ('closed', 'Closed')], default='opening', max_length=20)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='apprenticeship/logos/')),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='apprenticeship/thumbnails/')),
                ('designation', models.CharField(blank=True, max_length=255, null=True)),
                ('age_required', models.CharField(blank=True, max_length=255, null=True)),
                ('language', models.CharField(blank=True, max_length=255, null=True)),
                ('mobile_number', models.CharField(blank=True, max_length=15, null=True)),
                ('posted_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='posted_apptrenticeship', to=settings.AUTH_USER_MODEL)),
                ('skills_required', models.ManyToManyField(related_name='apprenticeship', to='userprofile_app.skill')),
            ],
        ),
        migrations.CreateModel(
            name='ApprenticeApplication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('applied', 'Applied'), ('selected', 'Selected'), ('waiting', 'Waiting'), ('saved', 'Save Later'), ('rejected', 'Rejected')], default='applied', max_length=20)),
                ('applied_at', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='apprenticeship_applications', to=settings.AUTH_USER_MODEL)),
                ('apprenticeship', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='applications', to='forms.apprenticeship')),
            ],
        ),
        migrations.CreateModel(
            name='GigWork',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gigworks_type', models.CharField(choices=[('individual', 'Individual'), ('project', 'Project')], max_length=10)),
                ('title', models.CharField(max_length=255)),
                ('short_description', models.TextField()),
                ('work_hours', models.PositiveIntegerField()),
                ('gender', models.CharField(default='Unspecified', max_length=50)),
                ('time', models.CharField(blank=True, max_length=50, null=True)),
                ('age', models.CharField(max_length=20)),
                ('body_type', models.CharField(blank=True, max_length=255, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('gigwork_mode', models.CharField(choices=[('online', 'Online'), ('offline', 'Offline')], max_length=50)),
                ('url_link', models.URLField(blank=True, null=True)),
                ('salary', models.DecimalField(decimal_places=2, max_digits=10)),
                ('start_date', models.DateField(blank=True, null=True)),
                ('end_date', models.DateField(blank=True, null=True)),
                ('work_type', models.CharField(max_length=50)),
                ('skills', models.JSONField()),
                ('required_experience', models.JSONField(default=list)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(choices=[('opening', 'Opening'), ('closed', 'Closed')], default='opening', max_length=20)),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='gigwork_thumbnails/')),
                ('logo', models.ImageField(blank=True, null=True, upload_to='gigwork_logos/')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='GigWorkApplication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_message', models.TextField()),
                ('attachments', models.JSONField(blank=True, null=True)),
                ('applied_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('applied', 'Applied'), ('selected', 'Selected'), ('waiting_list', 'Waiting List'), ('save_later', 'Save Later'), ('rejected', 'Rejected')], default='applied', max_length=20)),
                ('gigwork', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forms.gigwork')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Headshot',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('headshot', models.ImageField(blank=True, null=True, upload_to=forms.utils.headshot_form_upload_to)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='headshot', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Internship',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fullname', models.CharField(max_length=255)),
                ('organisation_or_individual', models.CharField(max_length=255)),
                ('profile_title', models.CharField(max_length=255)),
                ('email', models.EmailField(max_length=254)),
                ('job_responsibilities', models.TextField()),
                ('location', models.CharField(max_length=255)),
                ('internship_type', models.CharField(choices=[('full-time', 'Full-time'), ('part-time', 'Part-time'), ('remote', 'Remote')], max_length=50)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('duration', models.CharField(max_length=255)),
                ('salary', models.DecimalField(decimal_places=2, max_digits=10)),
                ('gender', models.CharField(choices=[('Any', 'Any'), ('Male', 'Male'), ('Female', 'Female'), ('Other', 'Other')], default='Any', max_length=10)),
                ('education_required', models.CharField(max_length=255)),
                ('skills_experience', models.JSONField(default=list)),
                ('is_active', models.BooleanField(default=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('status', models.CharField(choices=[('opening', 'Opening'), ('closed', 'Closed')], default='opening', max_length=20)),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='internship_thumbnails/')),
                ('logo', models.ImageField(blank=True, null=True, upload_to='logos/')),
                ('designation', models.CharField(blank=True, max_length=255, null=True)),
                ('age_required', models.CharField(blank=True, max_length=255, null=True)),
                ('language', models.CharField(blank=True, max_length=255, null=True)),
                ('mobile_number', models.CharField(blank=True, max_length=15, null=True)),
                ('posted_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='posted_internships', to=settings.AUTH_USER_MODEL)),
                ('skills_required', models.ManyToManyField(related_name='internships', to='userprofile_app.skill')),
            ],
        ),
        migrations.CreateModel(
            name='InternshipApplication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('applied', 'Applied'), ('selected', 'Selected'), ('waiting_list', 'Waiting List'), ('save_later', 'Save Later'), ('rejected', 'Rejected')], default='applied', max_length=20)),
                ('applied_at', models.DateTimeField(auto_now_add=True)),
                ('internship', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='applications', to='forms.internship')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='internship_applications', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_title', models.CharField(blank=True, max_length=255, null=True)),
                ('project_name', models.CharField(blank=True, max_length=255, null=True)),
                ('project_tagline', models.CharField(blank=True, max_length=255, null=True)),
                ('character_name', models.CharField(blank=True, max_length=255, null=True)),
                ('role_played', models.CharField(blank=True, max_length=255, null=True)),
                ('project_status', models.CharField(blank=True, max_length=50, null=True)),
                ('progress_percentage', models.IntegerField(blank=True, null=True)),
                ('project_type', models.CharField(blank=True, max_length=50, null=True)),
                ('language', models.CharField(blank=True, max_length=50, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('primary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('secondary_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('hashtags', models.JSONField(blank=True, null=True)),
                ('social_media_links', models.JSONField(blank=True, null=True)),
                ('genre', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('started', 'Started'), ('completed', 'Completed'), ('ongoing', 'Ongoing')], default='Ongoing', max_length=50)),
                ('thumbnail_image', models.ImageField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.thumbnails_upload_to)),
                ('cover_image', models.ImageField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.cover_image_upload_to)),
                ('start_date', models.DateField(null=True)),
                ('end_date', models.DateField(null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PressRelease',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='press_release/')),
                ('uploaded_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='press_releases', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='MediaRelease',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='media_release/')),
                ('uploaded_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='media_releases', to='forms.project')),
            ],
        ),
        migrations.AddField(
            model_name='gigwork',
            name='selected_project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='gigworks', to='forms.project'),
        ),
        migrations.CreateModel(
            name='Feedback',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('feedback_text', models.TextField()),
                ('rating', models.IntegerField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='feedbacks', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='Credit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(max_length=100)),
                ('comment', models.CharField(blank=True, max_length=255, null=True)),
                ('status', models.CharField(choices=[('pending', 'Pending'), ('accepted', 'Accepted'), ('declined', 'Declined')], default='pending', max_length=20)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='credits', to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='credits', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='CastingCall',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('castingcall_type', models.CharField(choices=[('individual', 'Individual'), ('project', 'Project')], max_length=10)),
                ('job_title', models.CharField(max_length=255)),
                ('select_project', models.CharField(blank=True, max_length=255, null=True)),
                ('short_description', models.TextField()),
                ('gender', models.CharField(max_length=50)),
                ('salary', models.DecimalField(decimal_places=2, max_digits=10)),
                ('experience', models.CharField(max_length=100)),
                ('role_type', models.CharField(max_length=50)),
                ('age', models.CharField(max_length=20)),
                ('skills', models.JSONField()),
                ('height', models.CharField(blank=True, max_length=20, null=True)),
                ('body_type', models.CharField(blank=True, max_length=255, null=True)),
                ('upload_photos', models.ImageField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.castingcall_photos_upload_to)),
                ('url_link', models.URLField(blank=True, null=True)),
                ('audition_type', models.CharField(choices=[('online', 'Online'), ('offline', 'Offline')], max_length=50)),
                ('castingcall_script', models.FileField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.castingcall_document_upload_to)),
                ('script_link', models.URLField(blank=True, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('start_time', models.TimeField()),
                ('end_time', models.TimeField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('opening', 'Opening'), ('closed', 'Closed')], default='opening', max_length=20)),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='castingcall_thumbnails/')),
                ('logo', models.ImageField(blank=True, null=True, upload_to='castingcall_logos/')),
                ('deleted', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='casting_calls', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='Award',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
                ('date_received', models.DateField(blank=True, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='awards/images/')),
                ('provider', models.CharField(blank=True, max_length=255, null=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='awards', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectComment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comment', to='forms.project')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comment', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team_name', models.CharField(max_length=255)),
                ('role_in_project', models.CharField(max_length=255, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='created_teams', to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teams', to='forms.project')),
            ],
        ),
        migrations.CreateModel(
            name='CastingCallApplication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cover_letter', models.TextField(blank=True, null=True)),
                ('uploaded_file', models.FileField(blank=True, null=True, upload_to='castingcall/applications/')),
                ('applied_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('applied', 'Applied'), ('selected', 'Selected'), ('waiting_list', 'Waiting List'), ('save_later', 'Save Later'), ('rejected', 'Rejected')], default='pending', max_length=50)),
                ('casting_call', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='applications', to='forms.castingcall')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='applications', to=settings.AUTH_USER_MODEL)),
                ('team', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='team_join_requests', to='forms.team')),
            ],
        ),
        migrations.CreateModel(
            name='TeamMember',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('role', models.CharField(max_length=255)),
                ('joined_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('added_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='added_team_members', to=settings.AUTH_USER_MODEL)),
                ('team', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='members', to='forms.team')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EventRegistration',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('organization_name', models.CharField(max_length=100)),
                ('pan_number', models.CharField(max_length=15)),
                ('address', models.CharField(max_length=255)),
                ('gst_status', models.CharField(max_length=3)),
                ('gst_number', models.CharField(max_length=15)),
                ('host_name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=254)),
                ('mobile_number', models.CharField(max_length=15)),
                ('event_document', models.FileField(blank=True, null=True, storage=crea_app.storages.UthoStorage, upload_to=forms.utils.event_document_upload_to)),
                ('bank_details', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='event_registration', to='forms.bankdetails')),
                ('event_details', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='event_registration', to='forms.eventdetails')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='event_registrations', to=settings.AUTH_USER_MODEL)),
                ('uploads', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forms.uploads')),
            ],
        ),
        migrations.CreateModel(
            name='FollowedProject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('followed_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='followed_projects', to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='followers', to='forms.project')),
            ],
            options={
                'unique_together': {('user', 'project')},
            },
        ),
        migrations.CreateModel(
            name='ProjectReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reason', models.CharField(choices=[('spam', 'Spam'), ('abuse', 'Abuse'), ('copyright', 'Copyright Violation'), ('other', 'Other')], max_length=50)),
                ('description', models.TextField(blank=True, null=True)),
                ('is_blocked', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='forms.project')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('user', 'project')},
            },
        ),
        migrations.CreateModel(
            name='SavedProject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('saved_at', models.DateTimeField(auto_now_add=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='saved_by_users_forms', to='forms.project')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='saved_projects_forms', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('user', 'project')},
            },
        ),
    ]
